void prints(short val);

int main()
{
  unsigned short i, j, val;

  for (i = -2; (short)i < 3; i++)
    for (j = -2; (short)j < 3; j++) {
      val = i & j; prints(val);
      val = i | j; prints(val);
      val = i ^ j; prints(val);
    }

  return 0;
}
